# Google::Idtoken::Verifier

[![Gem Version](https://badge.fury.io/rb/google-idtoken-verifier.svg)](http://badge.fury.io/rb/google-idtoken-verifier)
[![Build Status](https://travis-ci.org/jnbt/google-idtoken-verifier.svg?branch=master)](https://travis-ci.org/jnbt/google-idtoken-verifier)
[![Coverage Status](https://coveralls.io/repos/jnbt/google-idtoken-verifier/badge.svg?branch=master&service=github)](https://coveralls.io/r/jnbt/google-idtoken-verifier?branch=master)
[![Code Climate](https://codeclimate.com/github/jnbt/google-idtoken-verifier/badges/gpa.svg)](https://codeclimate.com/github/jnbt/google-idtoken-verifier)
[![Dependency Status](https://gemnasium.com/jnbt/google-idtoken-verifier.svg)](https://gemnasium.com/jnbt/google-idtoken-verifier)
[![Inline docs](https://inch-ci.org/github/jnbt/google-idtoken-verifier.svg?branch=master)](https://inch-ci.org/github/jnbt/google-idtoken-verifier)

Ruby interface to Google's API to verify ID tokens

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'google-idtoken-verifier'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install google-idtoken-verifier

## Usage

```ruby
result = Verifier.verify("an_id_token")
if result.valid?
  puts "ID: #{result.data["sub"]}"
  puts "Audience: #{result.data["aud"]}"
  # here you should check the 'aud' value against your apps
else
  puts "Invalid ID token"
end
```

## Development

After checking out the repo, run `bundle install` to install dependencies. Then, run `rake test` to run the tests. Run `bundle exec google-idtoken-verifier` to use the gem in this directory, ignoring other installed copies of this gem.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/jnbt/google-idtoken-verifier.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
